Package com.google.android.exoplayer2

## Class MediaItem.RequestMetadata.Builder

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.RequestMetadata.Builder

- Enclosing class:
    MediaItem.RequestMetadata

      public static final class MediaItem.RequestMetadata.Builder
      extends Object

  Builder for `MediaItem.RequestMetadata` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` | Constructs an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaItem.RequestMetadata` | `build()` | Builds the request metadata.
    `MediaItem.RequestMetadata.Builder` | `setExtras​(Bundle extras)` | Sets optional extras `Bundle`.
    `MediaItem.RequestMetadata.Builder` | `setMediaUri​(Uri mediaUri)` | Sets the URI of the requested media, or null if not known or applicable.
    `MediaItem.RequestMetadata.Builder` | `setSearchQuery​(String searchQuery)` | Sets the search query for the requested media, or null if not applicable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

      Constructs an instance.

  - ### Method Detail

    - #### setMediaUri

          @CanIgnoreReturnValue
          public MediaItem.RequestMetadata.Builder setMediaUri​(@Nullable
                                                               Uri mediaUri)

      Sets the URI of the requested media, or null if not known or applicable.

    - #### setSearchQuery

          @CanIgnoreReturnValue
          public MediaItem.RequestMetadata.Builder setSearchQuery​(@Nullable
                                                                  String searchQuery)

      Sets the search query for the requested media, or null if not applicable.

    - #### setExtras

          @CanIgnoreReturnValue
          public MediaItem.RequestMetadata.Builder setExtras​(@Nullable
                                                             Bundle extras)

      Sets optional extras `Bundle`.

    - #### build

          public MediaItem.RequestMetadata build()

      Builds the request metadata.